PostgreSQL 8.1.3 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# SPI_getargtypeid

## Name

SPI_getargtypeid -- return the data type OID for an argument of a plan prepared by `SPI_prepare`

## Synopsis

    Oid SPI_getargtypeid(void * plan, int argIndex)

## Description

`SPI_getargtypeid` returns the OID representing the type id for the `argIndex`'th argument of a plan prepared by `SPI_prepare`. First argument is at index zero.

## Arguments

`void * `plan``

  execution plan (returned by `SPI_prepare`)

`int `argIndex``

  zero based index of the argument

## Return Value

The type id of the argument at the given index, or `SPI_ERROR_ARGUMENT` if the `plan` is `NULL` or `argIndex` is less than 0 or not less than the number of arguments declared for the `plan`

Prev | Home | Next
SPI_getargcount | Up | SPI_is_cursor_plan